[fastify-oas](../README.md) > [BasicAuthenticationSecurity](../interfaces/basicauthenticationsecurity.md)

# Interface: BasicAuthenticationSecurity

## Hierarchy

 [BaseSecurity](basesecurity.md)

**↳ BasicAuthenticationSecurity**

## Index

### Properties

* [description](basicauthenticationsecurity.md#description)
* [type](basicauthenticationsecurity.md#type)

---

## Properties

<a id="description"></a>

### `<Optional>` description

**● description**: *`string`*

*Inherited from [BaseSecurity](basesecurity.md).[description](basesecurity.md#description)*

*Defined in node_modules/@types/swagger-schema-official/index.d.ts:175*

___
<a id="type"></a>

###  type

**● type**: *`string`*

*Inherited from [BaseSecurity](basesecurity.md).[type](basesecurity.md#type)*

*Defined in node_modules/@types/swagger-schema-official/index.d.ts:174*

___

